Subject: Bug#1522: x2goagent is busy all the time with XFCE

From: Manhong Dai <[email-masked]>
Date: Fri, 12 Feb 2021 07:07:03 -0500

package: x2goserver
version: 4.1.0.3-9
OS: Arch Linux, patched to the latest today
XFCE version: 4.16.0-1

Hi,

  After I upgraded Arch Linux today to the latest version, x2go
session became busy around ~80% all the time. I downgraded x2go from
4.1.0.3-9 to 4.1.0.3-5 and 4.1.0.3-8, the problem persists.

  Then I figured that if I run 'openbox --replace &' in an XFCE
terminal, the x2goagent will become normal and barely use any CPU.

  Attached is a strace log for x2goagent when it is busy.

  Feel free to let me know if you need any other information. Or if you
think this is an XFCE bug, let me know too so I can report to XFCE.

Best,
Manhong